## Welcome to os-testr’s documentation!

this page last updated: 2020-02-16 01:16:14

# Welcome to os-testr’s documentation!

A testr wrapper to provide functionality for OpenStack projects.

- Free software: Apache license
- Documentation: https://docs.openstack.org/os-testr/
- Source: https://opendev.org/openstack/os-testr
- Bugs: https://bugs.launchpad.net/os-testr

# Contents

- Installation
- Contributing
- Usage
  - ostestr
  - subunit-trace
  - subunit2html
  - generate-subunit

# Indices and tables

- Search Page

this page last updated: 2020-02-16 01:16:14

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?